## tqt 14.1.5~pre10

=== debian/changelog ===
tqt (4:14.1.5~pre10-0ubuntu25.10.0+2) questing; urgency=low

  * Automated git build for 894037c3e68e1573a34183d936171f8cda5085f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200

tqt (3:3.3.8-d-0ubuntu0) maverick; urgency=low

  * Upload of 3.3.8d (working revision) from GIT

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 22 Jul 2011 16:40:00 -0600
