## tqt 14.1.5

=== debian/changelog ===
tqt (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200
