=== debian/rules ===
#!/usr/bin/make -f

# build variables
export QTDIR=$(shell pwd)

# re-set $(LD_LIBRARY_PATH)
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(QTDIR)/lib:$(OLD_LD_LIBRARY_PATH)

# fix path
OLD_PATH := $(PATH)
export PATH=$(QTDIR)/bin:$(OLD_PATH)

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= -t64
else
DEB_TIME64_SUFFIX	=
endif

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL ?= true

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	PLATFORM_ARG = hurd-g++
else #hurd
ifeq ($(DEB_HOST_ARCH),sparc)
	PLATFORM_ARG = linux-g++-sparc
else #sparc
	PLATFORM_ARG = linux-g++
endif #sparc
endif #hurd

# quilt stuff
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libtqt3-mt$(DEB_TIME64_SUFFIX)
P_DOC = $(DEBIAN)/tqt3-doc
P_APPSDEV = $(DEBIAN)/tqt3-apps-dev
P_HEADERS = $(DEBIAN)/libtqt3-headers
P_QTMTDEV = $(DEBIAN)/libtqt3-mt-dev

RPC_INCLUDES = $(if $(wildcard /usr/include/tirpc),-I/usr/include/tirpc,)

TMP_INSTALL = $(DEBIAN)/tmp-install

CONFIGURE_OPTS = \
		-prefix		"/usr"				\
		-sysconfdir	"/etc/tqt3"			\
		-datadir	"/usr/share/tqt3"		\
		-headerdir	"/usr/include/tqt3"		\
		-docdir		"/usr/share/tqt3/doc"		\
		-libdir		"/usr/lib/$(DEB_HOST_MULTIARCH)"		\
		-plugindir	"/usr/lib/$(DEB_HOST_MULTIARCH)/tqt3/plugins"	\
		-translationdir	"/usr/share/tqt3/translations"	\
						\
		-thread				\
		-shared				\
		-fast				\
		-no-exceptions			\
		-platform $(PLATFORM_ARG)	\
						\
		-nis				\
		-no-pch				\
		-cups				\
		-stl				\
		-ipv6				\
						\
		-sm				\
		-xshape				\
		-xinerama			\
		-xcursor			\
		-xrandr				\
		-xrender			\
		-xft				\
		-tablet				\
		-xkb				\
						\
		-system-zlib			\
		-system-libpng			\
		-system-libmng			\
		-system-libjpeg			\
		-system-nas-sound		\
						\
		-enable-opengl			\
		-dlopen-opengl			\
						\
		-qt-gif				\
		-qt-imgfmt-png			\
		-qt-imgfmt-jpeg			\
		-plugin-imgfmt-mng		\
						\
		-plugin-sql-odbc		\
		-plugin-sql-psql		\
		-plugin-sql-mysql		\
		-plugin-sql-ibase		\
		-plugin-sql-sqlite		\
		-plugin-sql-sqlite3		\
						\
		-I/usr/include/mysql		\
		-I/usr/include/freetype2	\
		-I`pg_config --includedir`	\
		-I`pg_config --includedir-server`	\
		$(RPC_INCLUDES)			\
						\
		-L/usr/lib/$(DEB_HOST_MULTIARCH)\
						\
		-lfontconfig			\
		-inputmethod			\
		-glibmainloop			\
		# End of CONFIGURE_OPTS

interbase_archs := i386 amd64 sparc powerpc
ifneq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),$(interbase_archs)))
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibtqt3-mt-ibase
else
	IBASE =
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIGURE_OPTS += -no-sql-ibase
	IBASE = -Nlibtqt3-mt-ibase
endif

ifeq ($(DEB_HOST_ARCH),arm)
	CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
endif

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libtqt3-mt\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/libtqt3-mt$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: libtqt3-mt\\)$$/\\1$(DEB_TIME64_SUFFIX)/" \
	    -e "s/^\\(Replaces\\|Breaks\\): \\(libtqt3-mt\\)\\( \|$$\)/\\1: \\2, \\2$(DEB_TIME64_SUFFIX)\\3/" \
	    -e "s/\\(libtqt3-mt\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
	    debian/control
endif

build build-arch: libqt-thread-stamp
build-indep:

	touch build-stamp

libqt-thread-stamp: post-patches

	@echo "QTDIR is ${QTDIR}"

	dh_testdir

	echo yes | ./configure $(CONFIGURE_OPTS)

	# proceed
	$(MAKE) sub-src sub-plugins sub-tools
	$(MAKE) -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) install
	$(MAKE) INSTALL_ROOT=$(TMP_INSTALL) plugins-install

	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
	-cp lib/lib*.a $(TMP_INSTALL)/usr/lib/

	cp bin/tqtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/tqtfindtr $(TMP_INSTALL)/usr/bin/

	# build tqtconv2ui
	cd tools/designer/tools/tqtconv2ui && $(MAKE)
	cp bin/tqtconv2ui $(TMP_INSTALL)/usr/bin/tqtconv2ui

	# build tqvfb
	cd tools/tqvfb/ && $(MAKE)
	cp tools/tqvfb/tqvfb $(TMP_INSTALL)/usr/bin/tqvfb

	# install qmake.cache file
	install -d $(P_QTMTDEV)/usr/share/tqt3/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/tqt3#g" > $(P_QTMTDEV)/usr/share/tqt3/.qmake.cache

	touch libqt-thread-stamp

clean::

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-thread-stamp

	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	if [ -f "src/Makefile" ]; then \
		$(MAKE) -C src clean; $(MAKE) -C plugins/src distclean; $(MAKE) -C tools distclean; \
		$(MAKE) -C tools/maketqpf distclean; $(MAKE) -C tools/qconfig distclean; $(MAKE) -C tools/tqvfb distclean; \
		$(MAKE) -C tools/msg2tqm distclean; $(MAKE) -C tools/tqtmergetr distclean; $(MAKE) -C tools/qembed distclean; \
		$(MAKE) -C tools/designer/tools/tqtconv2ui distclean; $(MAKE) -C tools/designer/tools/tqtcreatecw distclean; \
		$(MAKE) -C tools/designer/plugins/glade distclean; $(MAKE) -C tools/designer/plugins/qglwidget distclean; \
		$(MAKE) -C config.tests/unix/largefile distclean; $(MAKE) -C qmake distclean; \
	fi

	-rm -rf .qmake.cache src/.qmake.internal.cache tools/designer/designer/.qmake.internal.cache qmake/GNUmakefile \
		config.status bin/moc bin/tqmake src/moc/*.o mkspecs/default lib/lib* `pwd`/debian/doc $(TMP_INSTALL) \
		src/tools/qconfig.cpp include/ntqconfig.h include/ntqmodules.h plugins/accessibleqtwidgets.prl \
		config.tests/unix/ipv6/ipv6test config.tests/unix/ipv6/ipv6test.o config.tests/unix/ptrsize/ptrsizetest.o \
		config.tests/unix/ptrsize/ptrsizetest config.tests/unix/endian/endiantest.o \
		config.tests/unix/endian/endiantest lib/tqt-mt.pc extensions/nsplugin/examples/trivial/libtrivial.prl \
		extensions/nsplugin/examples/grapher/libgrapher.prl bin/designer

	rm -f qmake/*o
	rm -f src/.obj/debug-shared-mt/*o plugins/src/inputmethods/imsw-multi/.obj/debug-shared-mt/*o plugins/inputmethods/*so
	rm -f plugins/src/inputmethods/imsw-none/.obj/debug-shared-mt/*o plugins/src/inputmethods/simple/.obj/debug-shared-mt/*o plugins/src/inputmethods/xim/.obj/debug-shared-mt/*o

	# delete generated Makefiles but save the toplevel Makefile
	-mv Makefile Makefile.save
	for a in `find . -name 'Makefile'`; do rm -f "$$a"; done
	-mv Makefile.save Makefile

	cd examples/ && find . -name '.obj' | xargs rm -rf

	# revert multi-arch path in install files
	for a in debian/*install debian/*links; do \
	    [ ! -f $$a.arch ] || \
	    mv $$a.arch $$a; \
	done

	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libtqt3-mt$(DEB_TIME64_SUFFIX)\." | \
	xargs -r rm
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: libtqt3-mt\\)$$/\\1$(DEB_TIME64_SUFFIX)/" \
	    -e "s/^\\(Replaces\\|Breaks\\): \\(libtqt3-mt\\)\\( \|$$\)/\\1: \\2, \\2$(DEB_TIME64_SUFFIX)\\3/" \
