## tqt 14.1.6~pre0

=== debian/changelog ===
tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 894037c3e68e1573a34183d936171f8cda5085f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 31 Jul 2025 08:41:12 +0200
