## tqt 14.1.6~pre1

=== debian/changelog ===
tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b87533f9904c10f24d6b2e8177c00944e3efe15b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 07:11:22 +0100
