## tqt 14.1.6~pre3

=== debian/changelog ===
tqt (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 0ee946e4cf239295e382af06e6404cb48fb4e2fa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 05 Dec 2025 14:40:03 +0100
