## tqt 14.1.6~pre4

=== debian/changelog ===
tqt (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e4085a83c143eb366d0364596297b322476cc652
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 13:00:41 +0100
