## tqt 14.1.6~pre5

=== debian/changelog ===
tqt (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3a477fb70884668d163f6631a73c8ab894928bcc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 09:51:59 +0100
