## tqt 14.1.6~pre18

=== debian/changelog ===
tqt (4:14.1.6~pre18-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 6727c1b1c9a77bee699350d271ec63c92519d5e3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 01 Jan 2026 11:53:00 +0100
