## tqt 14.1.6~pre19

=== debian/changelog ===
tqt (4:14.1.6~pre19-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 798ac2b0c52744ca8f9b4295e1e35b6ceac73807
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 12:03:43 +0100
