## tqt 14.1.6~pre28

=== debian/changelog ===
tqt (4:14.1.6~pre28-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for 6446d21873478f04567a89b3f0fe838cd54222d5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 03:15:35 +0100

tqt (4:14.2.0~pre253-0) forky; urgency=low

  * Formalization of postinst scripts.
  * Removed no longer valid *BSD architectures.
  * Removed Replaces and Breaks referring to themselves.
  * Removed menu files because desktop files are in their place.
  * The epoch change is for historical reasons from the KDE3 era.
  * Added emptying of dependency_libs field in LA files.
  * Added lintian overrides installation.

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 05 Feb 2026 20:46:38 +0100
