## tqt 14.2.0~pre222

=== debian/changelog ===
tqt (4:14.2.0~pre222-0ubuntu25.04.0+2) plucky; urgency=low

  * Automated git build for 8d7156f36bfc1e90a006878b364d7dc8504644c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 09:21:00 +0200
