## tqt 14.2.0~pre223

=== debian/changelog ===
tqt (4:14.2.0~pre223-0ubuntu25.10.0+2) questing; urgency=low

  * Automated git build for 7617324fe17cd042220703d769df6e14061908af
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Sep 2025 17:15:58 +0200
