## tqt 14.2.0~pre227

=== debian/changelog ===
tqt (4:14.2.0~pre227-0ubuntu24.10.0+2) oracular; urgency=low

  * Automated git build for cf2c8613706a3685266058db00c0e9f632c5bd24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 11:15:53 +0100
