## tqt 14.2.0~pre228

=== debian/changelog ===
tqt (4:14.2.0~pre228-0ubuntu25.04.0+2) plucky; urgency=low

  * Automated git build for 4d495175043c399fdca6e1bb4c74ef176fc76fb4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 09:42:59 +0100
