## tqt 14.2.0~pre230

=== debian/changelog ===
tqt (4:14.2.0~pre230-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 771af909e74927126fba90ec6e0298dc68d5bf4f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 05 Dec 2025 11:05:59 +0100
