## tqt 14.2.0~pre231

=== debian/changelog ===
tqt (4:14.2.0~pre231-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 5a863a8932d14b99c5f838c4efa1618070d71b29
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 03:57:25 +0100
