## tqt 14.2.0~pre232

=== debian/changelog ===
tqt (4:14.2.0~pre232-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 7d612f7c91d55501276a385a30dbadb121e7bd9f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 11:38:03 +0100
