## tqt 14.2.0~pre246

=== debian/changelog ===
tqt (4:14.2.0~pre246-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 074d585cc3a076958b986ff7cf31eb15d1e8412a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 01 Jan 2026 11:54:35 +0100
