## tqt 14.2.0~pre248

=== debian/changelog ===
tqt (4:14.2.0~pre248-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 033eea325615ac30721296bbbbb478d0c7c78efe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Jan 2026 15:38:17 +0100
