## tqt 14.2.0~pre253

=== debian/changelog ===
tqt (4:14.2.0~pre253-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for ec615dc3b52d4faafbebd7b4229fd4a1ea2a75ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 21 Jan 2026 04:17:15 +0100
